Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update membership

PATCH/workspaces/{organizationId}/memberships/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
rolestringrequired
min length 1
Responses
200

Membership updated

idstringrequired
organizationIdstringrequired
userIdstringrequired
rolestringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/memberships/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "role": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "userId": "string",
  "role": "string",
  "createdAt": "string"
}

Was this page helpful?